#include<stdio.h>
#include<stdlib.h>
#include<conio.h>
#include<ctype.h>

#define F 10

void main(void)
{
	int M1[F],i,j,aux,op,num,swf,posi,je;
	char car;

	clrscr();
	M1[0]=0;
	printf("Teclee 10 n£meros enteros positivos\n");
	for(i=0;i<F;i++)
	{
		printf("Teclee el n£mero %d: ",i+1);
		scanf("%d",&M1[i]);
		if(M1[i]<0)
		{
			printf("He dicho positivo\n");
			i--;
		}
	}
	do
	{
		printf("\n¨C¢mo quiere ordenarlo?\n\t1.- De mayor a menor\n\t2.- De menor a mayor");
		scanf("%d",&op);
		//clrscr();
		printf("\n");
	switch(op)
	{	
		case 1:for(j=0;j<F;j++)
					{
					for(i=1;i<F;i++)
						{
							if(M1[i]>=M1[i-1])
							{
								aux=M1[i-1];
								M1[i-1]=M1[i];
								M1[i]=aux;
							}
						}
					}
					for(i=0;i<F;i++)
					{
						printf("%3d ",M1[i]);
					}
					je=0;
					getch();
					break;
		case 2:for(j=0;j<F;j++)
					{
					for(i=1;i<F;i++)
						{
							if(M1[i-1]>=M1[i])
							{
								aux=M1[i];
								M1[i]=M1[i-1];
								M1[i-1]=aux;
							}
						}
					}
					for(i=0;i<F;i++)
					{
						printf("%3d ",M1[i]);
					}
					je=1;
					getch();
					break;
		default: printf("Opci¢n incorrecta");
					printf("\nPulse una tecla para continuar...");
					getch();
		}
		op=1;
	printf("\n¨Desea volver al menu para volver a ordenarlo?");
	printf("\n\tS/N\t");
	scanf("%s",&car);
	if(toupper(car)=='S')
	{
		op=3;
	}
	else
	{
		op=1;
	}
	}while(op!=1 && op!=2);
	printf("\nTeclee el n£mero a buscar: ");
	scanf("%d",&num);
	swf=0;
	if(je==0)
	{
	if(num<=M1[F/2])
	{
		for(i=F/2;i<F;i++)
		{
			if(num==M1[i])
			{
				swf=1;
				posi=i;
			}
		}
	}
	else
	{
		for(i=5;i<F;i++)
		{
			if(num==M1[i])
			{
				swf=1;
				posi=i;
			}
		}
	}
	}
	if(num>=M1[F/2])
	{
		for(i=F/2;i<F;i++)
		{
			if(num==M1[i])
			{
				swf=1;
				posi=i;
			}
		}
	}
	else
	{
		for(i=0;i<F/2;i++)
		{
			if(num==M1[i])
			{
				swf=1;
				posi=i;
			}
		}
	}
	if(swf==1)
	{
		printf("El n£mero se ha encontrado y est  situado en la posici¢n %d",posi+1);
	}
	else
	{
		printf("EL n£mero no se encuentra");
	}
	getch();
}

/*void mayomeno(void);
{
	for(j=0;j<F;j++)
					{
					for(i=1;i<F;i++)
						{
							if(M1[i]>=M1[i-1])
							{
								aux=M1[i-1];
								M1[i-1]=M1[i];
								M1[i]=aux;
							}
						}
					}
					for(i=0;i<F;i++)
					{
						printf("%3d ",M1[i]);
					}
					je=0;
					getch();
}*/